import { AfterViewInit } from '@angular/core';
import { I18nService, ToggleableController } from '@lightweightform/core';
export declare const I18N_MODAL_CLOSE_TOOLTIP_KEY = "BS_MODAL_CLOSE_TOOLTIP";
export declare class ModalComponent extends ToggleableController implements AfterViewInit {
    protected _i18nService: I18nService;
    _closeModalTooltipText: string;
    showCloseButton: boolean;
    size: string;
    animations: boolean;
    closeByEsc: boolean;
    backdrop: boolean;
    ignoreBackdropClick: boolean;
    options: object;
    private _autoShownModal;
    constructor(_i18nService: I18nService);
    ngAfterViewInit(): void;
    readonly closeModalTooltipText: any;
    onHidden(): void;
    hideModal(): void;
}
